import java.lang.ref.SoftReference;

public class Class225_Sub14_Sub8_Sub2 extends Class225_Sub14_Sub8 {

   SoftReference aSoftReference10647;
   static boolean aBool10648;


   boolean method16120() {
      return true;
   }

   Object method16119(int var1) {
      return this.aSoftReference10647.get();
   }

   boolean method16121(byte var1) {
      return true;
   }

   Object method16122() {
      return this.aSoftReference10647.get();
   }

   Object method16123() {
      return this.aSoftReference10647.get();
   }

   Class225_Sub14_Sub8_Sub2(Object var1, int var2) {
      super(var2);
      this.aSoftReference10647 = new SoftReference(var1);
   }

   Object method16124() {
      return this.aSoftReference10647.get();
   }
}
